﻿<AML>
 <Item type="Method" id="000665906A844457AA1EF77D3F426E48" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			sop_order_sold_to_fill
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
    Get Customer Information according by Sold To.
	
Hooks:
	Type:	Form	:	sop_sale_order_Equipment
	Event:	sop_customer ( onChange )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var _customer_id = top.aras.getItemProperty(document.item, 'sop_customer');

if (_customer_id !== "") {

    var customer_qry = myInnovator.newItem("Customer", "get");
    customer_qry.setProperty("id", _customer_id);
    var l_acc_result = customer_qry.apply();
    var l_acc_count = l_acc_result.getItemCount();

    if (l_acc_count > 0) {

        var customer = l_acc_result.getItemByIndex(0);
        var customer_id = customer.getProperty("id", "");
        var customer_phone = customer.getProperty("main_phone", "");
        var customer_address = customer.getProperty("address", "");
        handleItemChange("sop_customer_address", customer_address);
        handleItemChange("sop_customer_phone", customer_phone);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>sop_order_sold_to_fill</name>
 </Item>
</AML>